import { ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { RIconConfig } from '../../icon';
import { RToast } from './model';
export declare class RToastComponent implements OnInit {
    protected renderer: Renderer2;
    protected elementRef: ElementRef;
    toast: RToast;
    destroy: EventEmitter<void>;
    get success(): boolean;
    get info(): boolean;
    get warning(): boolean;
    get primary(): boolean;
    get danger(): boolean;
    get basic(): boolean;
    get control(): boolean;
    get destroyByClick(): boolean;
    get hasIcon(): boolean;
    get customIcon(): boolean;
    get icon(): string | RIconConfig;
    onClick(): void;
    constructor(renderer: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
}
